This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 425927 - (CVE-2007-6284) CVE-2007-6284 libxml2: infinite loop in UTF-8 decoding
CVE-2007-6284 libxml2: infinite loop in UTF-8 decoding
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,reported=20071213,pu...
: Security
Depends On: 425929 425930 425931 425932 425933 425934 430728
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 04:25 EST by Tomas Hoger
Modified: 2016-03-04 07:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 09:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch written by Daniel Veillard (1.63 KB, patch)
2007-12-17 04:37 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-12-17 04:25:05 EST
Description:
There exists a denial of service problem in libxml's UTF-8
decoding functions. The xmlCurrentChar() function does not check
UTF-8 correctness and certain multibyte combinations can cause
the library to enter an infinite loop and hang, consuming
system resources. It is strongly recommended to upgrade if
your application accepts arbitrary xml user input.

Provided by:
The issue was originally discovered at Google by Brad Fitzpatrick
and further investigated by Peter Valchev and Will Drewry.
Patch and debugging by Daniel Veillard (libxml).

Acknowledgements:

Red Hat would like to thank the Google Security Team for responsibly disclosing this issue.
Comment 3 Tomas Hoger 2007-12-17 04:37:22 EST
Created attachment 289757 [details]
Upstream patch written by Daniel Veillard
Comment 4 Daniel Veillard 2007-12-17 10:04:00 EST
Note that I had to hange the patch slightly on RHEL-2.1 and RHEL-3 due to 
small differences in code and the lack of availability of an error reporting
routine.
Oh and I'm the upstream maintainer too if that can be of importance.

Daniel
Comment 5 Tomas Hoger 2007-12-17 10:19:55 EST
(In reply to comment #4)
> Oh and I'm the upstream maintainer too if that can be of importance.

I'm aware of it Daniel, and I'm aware that you have written the patch, it's also
mentioned in the initial description of this bug.  Your patch was explicitly
added to the bug to make sure all relevant information is available here for
anyone searching for relevant information.
Comment 8 Tomas Hoger 2008-01-11 07:08:05 EST
Public now, lifting embargo:

http://mail.gnome.org/archives/xml/2008-January/msg00036.html
Comment 9 Fedora Update System 2008-01-11 17:11:28 EST
libxml2-2.6.31-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-01-11 17:13:42 EST
libxml2-2.6.31-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.